PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes
icmpsock.h File Reference
`#include <ptlib/pprocess.h>`
`#include "unix/ptlib/icmpsock.h"`
Include dependency graph for icmpsock.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PICMPSocket
| Create a socket channel that uses allows ICMP commands in the Internal Protocol. More...
class | PICMPSocket::PingInfo
| Information used by and obtained by the ping operation. More...